Name: libtasn1
Version: 0.2.7
Release: alt1

%def_disable static

Summary: ASN.1 library
Group: System/Libraries
License: LGPL
URL: http://www.gnu.org/software/gnutls/

Prefix: %_prefix
%define pkgdocdir %_docdir/%name-%version

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 02 2004
BuildRequires: common-licenses

%description
libtasn1 is a library to manage ASN.1 structures

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Header and other files needed to develop applications using the tASN.1 library

%if_enabled static
%package devel-static
Summary: Static library for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static archive variant of the tASN.1 library
%endif	# enabled static

%prep
%setup -q
%__rm -f COPYING.LIB
%__ln_s %_licensedir/LGPL-2.1 COPYING.LIB
%__bzip2 -9k doc/asn1.ps

%build
autoreconf -isfv
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%__install -d -m 755 $RPM_BUILD_ROOT%pkgdocdir
%__install -p -m 644 AUTHORS NEWS README THANKS $RPM_BUILD_ROOT%pkgdocdir
%__ln_s %_licensedir/LGPL-2.1 $RPM_BUILD_ROOT%pkgdocdir/COPYING.LIB
%__install -p -m 644 doc/*.ps.bz2 doc/*.tex doc/TODO $RPM_BUILD_ROOT%pkgdocdir

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/COPYING.LIB
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS

%files devel
%_libdir/*.so
%_includedir/*
%dir %pkgdocdir
%pkgdocdir/*.ps.bz2
%pkgdocdir/*.tex
%pkgdocdir/TODO

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.7-alt1
- New upstream release

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.6-alt1
- Initial release for Sisyphus
